package com.yunyan.common.enums;

/**
 * 数据内容类型
 *
 * @author yunyan
 */
public enum DataContentType
{

    CADRE("CADRE", "村街干部"), MEMBER("MEMBER", "党员"),  ACTIVITY("ACTIVITY", "政治生活会议"),
    STAR("STAR", "星级评定"), POSITION("POSITION", "村街阵地文化民风等"),ORGANIZE("COMMUNITY","8.3.1社区干部队伍建设"),
    CONSTRUCTION("GOVERN","8.3.2社区治理体系建设"),SERVICE("SERVICE","8.3.3社区党群服务中心建设"),VOLUNTEER("VOLUNTEER","8.3.5社区志愿服务情况"),
    COMMUNITYSTAR("STAR","8.3.6社区党组织星级评定")
    ;

    private  final  String code;
    private final String info;

    DataContentType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }


    public static DataContentType getType(String dataTypeCode) {
        for (DataContentType enums : DataContentType.values()) {
            if (enums.code.equals(dataTypeCode)) {
                return enums;
            }
        }
        return null;
    }


}
